## gtool5 20100413

=== debian/changelog ===
gtool5 (20100413-1) unstable; urgency=low

  * Imported Upstream version 20100413
  * remove AddAliasDebugtoDCUTILS: merge upstream
  * remove temporary creating files

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 12 May 2010 14:30:10 +0900

gtool5 (20090809-5) unstable; urgency=low

  * Change Source format: 3.0 (quilt)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 21 Mar 2010 15:20:05 +0000

gtool5 (20090809-4) unstable; urgency=low

  * Remove OMPI_FC variables 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 18 Feb 2010 23:08:54 +0900

gtool5 (20090809-3) unstable; urgency=low

  * Typo fixed 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 05 Jan 2010 09:53:21 +0900

gtool5 (20090809-2) unstable; urgency=low

  * Typo fixed 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 31 Dec 2009 14:43:18 +0900

gtool5 (20090809-1) unstable; urgency=low

  * New Upstream Release
  * Update Standard Version

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 06 Sep 2009 15:39:07 +0900

gtool5 (20090704-2) unstable; urgency=low

  * Update debian/rules
  * Bumped 3.8.2
  * Add pesude man files

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 14 Jul 2009 21:47:55 +0900

gtool5 (20090704-1) unstable; urgency=low

  * New upstream release

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 14 Jul 2009 15:16:19 +0900

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/langcore.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# Add here any variable or target overrides you need.
FC        := /usr/bin/gfortran
MPIFC     := /usr/bin/mpif90.openmpi
MPIEXEC   := /usr/bin/mpiexec.openmpi
SYSFFLAGS := -O3 -fPIC -fall-intrinsics
#FFLAGS    := $(SYSFFLAGS)
FFLAGS    :=
RUBY      := /usr/bin/ruby1.8
MANPAGES  := debian/*.1
EXT       := gnu

CONFIGURE_ENV     := 				\
	FC="$(FC)" SYSFFLAGS="$(SYSFFLAGS)" 	\
	FFLAGS="$(FFLAGS)" RUBY="$(RUBY)"
CONFIGURE_ENV_MPI := 				\
	FC="$(MPIFC)" SYSFFLAGS="$(SYSFFLAGS)" 	\
	FFLAGS="$(FFLAGS)" RUBY="$(RUBY)"
CONFIGURE_FLAGS   := 				\
	--with-netcdf=/usr/lib/libnetcdf.a 	\
	--with-netcdff=/usr/lib/libnetcdff.a 	\
	--with-netcdf-include=/usr/include  	\
	--with-abort=abort 			\
	--with-getarg=f2003std 			\
	--with-getenv=f2003std
CONFIGURE_FLAGS_SERIAL := $(CONFIGURE_FLAGS)	\
	--disable-mpi
CONFIGURE_FLAGS_MPI := $(CONFIGURE_FLAGS) 	\
	--with-mpiexec="$(MPIEXEC)"
DEB_INSTALL_DOCS_ALL := README
DEB_INSTALL_DOCS_gtool5-doc := doc htmltools
DEB_COMPRESS_EXCLUDE := .rd .nc
DEB_INSTALL_MANPAGES_gtool5 := $(MANPAGES)

pre-build::
	cd debian \
		&& rd2 -r rd/rd2man-lib 	\
	  gt5frt.rd > gt5frt.$(EXT).1		\
		&& rd2 -r rd/rd2man-lib 	\
	  gt5frt.rd > gt5frt.openmpi-$(EXT).1	\
		&& rd2 -r rd/rd2man-lib 	\
	  gt5config.rd > gt5config.$(EXT).1 	\
		&& rd2 -r rd/rd2man-lib 	\
	  gt5config.rd > gt5config.openmpi-$(EXT).1
	(cd debian && PACKAGE=gtool5 EXT=$(EXT) PRIORITY=20 sh ./pre-build.sh)

install/gtool5:: install-gtool5-serial install-gtool5-mpi
install-gtool5-serial: install-gtool5-serial-stamp
install-gtool5-serial-stamp:
	$(CONFIGURE_ENV) ./configure $(CONFIGURE_FLAGS_SERIAL) 	\
	  --prefix=/usr/lib/gtool5
	$(MAKE)
#	$(MAKE) test
	$(MAKE) install prefix=$(CURDIR)/debian/gtool5/usr/lib/gtool5
	$(MAKE) distclean.depend
	rm -f config.log chkfort.cfg
	find -name depend | xargs rm -f
	find -name xhistgetattr | xargs rm -rf
	rm -f src/dc_utils/dcstringputline.f90
	rm -f src/gtdata/gtdata_netcdf/gdncattrgetnum.f90
	touch $@

install-gtool5-mpi: install-gtool5-mpi-stamp
install-gtool5-mpi-stamp:
	$(CONFIGURE_ENV_MPI) ./configure $(CONFIGURE_FLAGS_MPI)	\
	  --prefix=/usr/lib/gtool5
	$(MAKE)
#	$(MAKE) test
	$(MAKE) install prefix=$(CURDIR)/debian/gtool5/usr/lib/gtool5-mpi
	$(MAKE) distclean.depend
	rm -f config.log chkfort.cfg
	find -name depend | xargs rm -f
	find -name xhistgetattr | xargs rm -rf
	rm -f src/dc_utils/dcstringputline.f90
	rm -f src/gtdata/gtdata_netcdf/gdncattrgetnum.f90
	touch $@

install/gtool5-doc:: install-gtool5-doc-stamp
install-gtool5-doc-stamp:
	touch $@

clean::
	[ ! -f Config.mk ] || $(MAKE) distclean
	rm -f debian/*.links
	rm -f debian/*.postinst
	rm -f debian/*.prerm
	rm -f debian/*.dirs
	rm -f $(MANPAGES)
	rm -f config.log chkfort.cfg
	find -name depend | xargs rm -f
	find -name xhistgetattr | xargs rm -rf
	rm -f src/dc_utils/dcstringputline.f90
	rm -f src/gtdata/gtdata_netcdf/gdncattrgetnum.f90
	rm -f install-gtool5*stamp

## gtool5 20101228

=== doc/Makefile ===
#= Makefile for gtool5 documentation
#
# Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
# Version::   $Id: Makefile,v 1.3 2009-03-21 08:08:31 morikawa Exp $
# Tag Name::  $Name: gtool5-20101228-1 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2009. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
# in Config.mk, DEST_DOC is defined
#
######################################################################
#
#== Settings

DIRDEPTH=..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

DEST_DOC_THISDIR=$(DEST_DOC)

SUBDIRS=images tutorial

# End Settings
######################################################################

######################################################################
#== Rules
#

all: rd2html
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done
	$(MAKE) rdoc
	$(MAKE) rdoc-dev

rd2html:
	$(MAKE) -f Makefile.rd2html

rdoc:
	$(MAKE) -f Makefile.rdoc

rdoc-dev:
	$(MAKE) -f Makefile.rdoc-dev

install:
	test -d $(DEST_DOC_THISDIR) || $(INSTALLDIR) $(DEST_DOC_THISDIR)
	$(INSTALL) $(wildcard *.htm *.htm.en *.rd) $(DEST_DOC_THISDIR)
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done
	$(MAKE) $@ -f Makefile.rdoc
	$(MAKE) $@ -f Makefile.rdoc-dev

clean:

clean.all: clean.rd2html clean.all.subdirs clean.rdoc clean.rdoc-dev

clean.rd2html:
	$(MAKE) clean.all -f Makefile.rd2html

clean.rdoc:
	$(MAKE) clean -f Makefile.rdoc

clean.rdoc-dev:
	$(MAKE) clean -f Makefile.rdoc-dev

clean.all.subdirs:
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) clean.all || exit 1; \
	  cd .. ; \
	done

=== doc/tutorial/Makefile ===
#= Makefile for gtool5 documentation
#
# Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
# Version::   $Id: Makefile,v 1.3 2009-03-21 08:08:30 morikawa Exp $
# Tag Name::  $Name: gtool5-20101228-1 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2008. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
# in Config.mk, DEST_DOC is defined
#
######################################################################
#
#== Settings

DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

DEST_DOC_THISDIR=$(DEST_DOC)/tutorial

SUBDIRS=dc_args dc_clock dc_date dc_message dc_trace dc_types \
	gthist_attr gthist_f77 gthist_first gthist_gave gthist_multi \
	gtauto_first

# End Settings
######################################################################

######################################################################
#== Set variables
#

all: rd2html

rd2html:
	$(MAKE) -f Makefile.rd2html

install:
	test -d $(DEST_DOC_THISDIR) || $(INSTALLDIR) $(DEST_DOC_THISDIR)
	$(INSTALL) $(wildcard *.htm *.htm.en *.rd *.f90 *.f *.nc) $(DEST_DOC_THISDIR)
	@for i in $(SUBDIRS) ; do \
	  test -d $(DEST_DOC_THISDIR)/$$i || $(INSTALLDIR) $(DEST_DOC_THISDIR)/$$i; \
	  cd $$i || exit 1; \
	  echo copy `ls *.htm *.htm.en *.rd *.f90 *.f *.nc *.png *.nml 2> /dev/null` '->' $(DEST_DOC_THISDIR)/$$i; \
	  $(INSTALL) *.htm *.htm.en *.rd *.f90 *.f *.nc *.png *.nml $(DEST_DOC_THISDIR)/$$i 2> /dev/null || true; \
	  cd .. ; \
	done

clean:

clean.all: clean.rd2html

clean.rd2html:
	$(MAKE) clean.all -f Makefile.rd2html

=== src/dc_utils/Makefile ===
#= Makefile for build of gtool5 library in UNIX like platform
#
# Authors::   Yasuhiro MORIKAWA (morikawa)
# Version::   $Id: Makefile,v 1.12 2009-12-29 16:10:03 morikawa Exp $
# Tag Name::  $Name: gtool5-20101228-1 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2009. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

# in Config.mk, DEST_LIB, DEST_INC is defined
DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

OBJS = \
      dc_utils.o \
      dc_test.o \
      dc_regex.o \
      dcstringsprintf.o dcstringfprintf.o dcstringcprintf.o \
      dcstringputline.o \
      dc_trace.o \
      dc_string.o dc_types.o \
      dc_error.o dc_url.o dc_units.o dcunits_com.o \
      dc_message.o dc_present.o \
      dc_scaledsec.o \
      dc_clock.o dc_iounit.o \
      dc_hash.o dc_args.o \
      dc_date_types.o dc_date_internal.o dc_date_generic.o dc_date.o \
      dcdatetimecreate.o dcdatetimeeval.o \
      dcdatetimesetcaltype.o dcdatetimesetsecofday.o \
      dcdatetimevalidcaltype.o dcdatetimezone.o \
      dcdatetimetochar.o dcdatetimeputline.o dc_date.o \
      dcdatetimeadd.o dcdatetimesub.o dcdatetimemul.o dcdatetimediv.o \
      dcdatetimemod.o dcdatetimemax.o dcdatetimemin.o \
      dcdatetimeeq.o dcdatetimegt.o dcdatetimelt.o dcdatetimege.o dcdatetimele.o \
      dcdatetimeparseunits.o \
      dc_calendar_types.o dc_calendar_generic.o dc_calendar_internal.o \
      dc_calendar.o \
      dccalcreate.o dccalinquire.o dccaltochar.o dccaldefault.o \
      dccaldatecreate.o dccaldateparsestr.o \
      dccaldateinquire.o dccaldatetochar.o dccaldateeval.o dccaldatechkleapyear.o \
      dccalconvertbyunit.o dccalconverttosec.o dccalconverttomin.o \
      dccalconverttohour.o dccalconverttoday.o \
      dccaldatedifference.o dccaldatecurrent.o dccalparseunit.o

RB2F90 = dc_test.f90 dc_string.f90 \
	dcstringputline.f90 dc_present.f90

# End Settings
######################################################################

######################################################################
#== Rules
#
all: $(LIBPATH) archive

include $(DIRDEPTH)/rules.make

clean: depend.touch clean.default
rb2f90: rb2f90.default
clean.rb2f90: depend.touch clean.rb2f90.default
depend.subdir: depend
clean.depend: clean.depend.default
Makefile.win: Makefile.win.default
clean.mkwin: clean.mkwin.default

#
#=== Files generated with ruby script
#
dc_test.f90: dc_test.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --max_dim=$(MAXDIM) > $@ || \
	    touch $@

dc_string.f90: dc_string.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --max_dim=$(MAXDIM) > $@ || \
	    touch $@

dcstringputline.f90: dcstringputline.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --max_dim=$(MAXDIM) > $@ || \
	    touch $@

dc_present.f90: dc_present.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< > $@ || \
	    touch $@

include depend

=== src/gtdata/gtdata_memory/Makefile ===
#= Makefile for build of gtool5 library in UNIX like platform
#
# Authors::   Yasuhiro MORIKAWA (morikawa)
# Version::   $Id: Makefile,v 1.3 2009-05-25 09:47:27 morikawa Exp $
# Tag Name::  $Name: gtool5-20101228-1 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2009. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

# in Config.mk, DEST_LIB, DEST_INC is defined
DIRDEPTH=../../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

OBJS = gtdata_memory_types.o gtdata_memory_internal.o \
	gtdata_memory_generic.o \
	gdmemvarattradd.o gdmemvarattrdel.o gdmemvarattrget.o \
	gdmemvarattrnext.o gdmemvarattrrewind.o gdmemvarattrtrue.o \
	gdmemvarclose.o gdmemvarcreated.o

RB2F90 = 

# End Settings
######################################################################

######################################################################
#== Rules
#
all: $(LIBPATH) archive

include $(DIRDEPTH)/rules.make

clean: depend.touch clean.default
rb2f90: rb2f90.default
clean.rb2f90: depend.touch clean.rb2f90.default
depend.subdir: depend
clean.depend: clean.depend.default
Makefile.win: Makefile.win.default
clean.mkwin: clean.mkwin.default

#
#=== Files generated with ruby script
#


include depend

=== debian/changelog ===
gtool5 (20101228-3) unstable; urgency=low

  * Update SYSFFLAGS
  * Rebuild against newer GCC/OpenMPI

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 20 Aug 2013 03:11:02 +0900

gtool5 (20101228-2) unstable; urgency=low

  * Fix quilt usage
  * rebuild for gcc/openmpi update

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 14 Mar 2011 20:50:29 +0900

gtool5 (20101228-1) unstable; urgency=low

  * New Upstream release: 20101228
  * Use tarball.mk for odd upstream make rules


 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 24 Jan 2011 18:35:11 +0900

gtool5 (20101006-1) unstable; urgency=low

  * Imported Upstream Version: 20101006

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 22 Dec 2010 16:22:47 +0900

=== debian/control ===
Source: gtool5
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), 
 autotools-dev, libopenmpi-dev, openmpi-bin, gfortran, 
 libnetcdf-dev, netcdf-bin, rdtool, ruby1.8, quilt
Standards-Version: 3.8.4
Homepage: http://www.gfd-dennou.org/library/gtool/index.htm.en

Package: gtool5
Architecture: any
Section: libdevel
Suggests: gtool5-doc, netcdf-bin
Depends: ${shlibs:Depends}, ${misc:Depends}, libnetcdf-dev, gfortran, libopenmpi-dev, openmpi-bin
Description: Fortran90 netCDF I/O library with gtool4 convention
 Gtool5 is a Fortran90 library software to read and write netCDF file
 with gtool4 convention, which is developed by GFD Dennou Club gtool project.
 .
 This package provides static library, header files, wrapper shell scripts.

Package: gtool5-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gtool5 Documents (Tutorial and Reference manuals)
 Gtool5 is a Fortran90 library software to read and write netCDF file
 with gtool4 convention, which is developed by GFD Dennou Club gtool project.
 .
 This package provides document and tutorial.

=== debian/rules ===
#!/usr/bin/make -f

DEB_TAR_SRCDIR = gtool5-20101228
DEB_TARBALL = $(CURDIR)/upstream/$(DEB_TAR_SRCDIR).tar.gz
SRC_TREE = $(CURDIR)/build-tree/$(DEB_TAR_SRCDIR)

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/langcore.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# Add here any variable or target overrides you need.
FC        := /usr/bin/gfortran
MPIFC     := /usr/bin/mpif90.openmpi
MPIEXEC   := /usr/bin/mpiexec.openmpi
SYSFFLAGS := -O2 -fPIC -fall-intrinsics
#FFLAGS    := $(SYSFFLAGS)
FFLAGS    :=
RUBY      := /usr/bin/ruby1.8
MANPAGES  := debian/*.1
EXT       := gnu

CONFIGURE_ENV     :=							\
	FC="$(FC)" SYSFFLAGS="$(SYSFFLAGS)"			\
	FFLAGS="$(FFLAGS)" RUBY="$(RUBY)"
CONFIGURE_ENV_MPI :=							\
	FC="$(MPIFC)" SYSFFLAGS="$(SYSFFLAGS)"		\
	FFLAGS="$(FFLAGS)" RUBY="$(RUBY)"
CONFIGURE_FLAGS   :=							\
	--with-netcdf=/usr/lib/libnetcdf.a			\
	--with-netcdff=/usr/lib/libnetcdff.a		\
	--with-netcdf-include=/usr/include			\
	--with-abort=abort							\
	--with-getarg=f2003std						\
	--with-getenv=f2003std
CONFIGURE_FLAGS_SERIAL := $(CONFIGURE_FLAGS)	\
	--disable-mpi
CONFIGURE_FLAGS_MPI := $(CONFIGURE_FLAGS)		\
	--with-mpiexec="$(MPIEXEC)"
DEB_INSTALL_DOCS_ALL := $(SRC_TREE)/README
DEB_INSTALL_DOCS_gtool5-doc := $(SRC_TREE)/doc $(SRC_TREE)/htmltools
DEB_COMPRESS_EXCLUDE := .rd .nc
DEB_INSTALL_MANPAGES_gtool5 := $(MANPAGES)

pre-build::
	cd debian \
		&& rd2 -r rd/rd2man-lib 	\
	  gt5frt.rd > gt5frt.$(EXT).1		\
		&& rd2 -r rd/rd2man-lib 	\
	  gt5frt.rd > gt5frt.openmpi-$(EXT).1	\
		&& rd2 -r rd/rd2man-lib 	\
	  gt5config.rd > gt5config.$(EXT).1 	\
		&& rd2 -r rd/rd2man-lib 	\
	  gt5config.rd > gt5config.openmpi-$(EXT).1
	(cd debian && PACKAGE=gtool5 EXT=$(EXT) PRIORITY=20 sh ./pre-build.sh)

configure/gtool5:: pre-configure configure-serial configure-parallel
pre-configure: pre-configure-stamp
pre-configure-stamp:
	cp -r $(SRC_TREE) $(SRC_TREE)-parallel
	touch $@
configure-serial:: configure-serial-stamp
configure-serial-stamp:
	(cd $(SRC_TREE) && \
	  $(CONFIGURE_ENV) ./configure $(CONFIGURE_FLAGS_SERIAL) --prefix=/usr/lib/gtool5)
	touch $@
configure-parallel: configure-parallel-stamp
configure-parallel-stamp:
	(cd $(SRC_TREE)-parallel && \
	  $(CONFIGURE_ENV_MPI) ./configure $(CONFIGURE_FLAGS_MPI) --prefix=/usr/lib/gtool5)
	touch $@

build/gtool5:: build-serial build-parallel
build-serial: build-serial-stamp
build-serial-stamp:
	( cd $(SRC_TREE) && make && make test )
	touch $@
build-parallel: build-parallel-stamp
build-parallel-stamp:
	( cd $(SRC_TREE)-parallel && make && make test )
	touch $@

install/gtool5:: install-serial install-parallel
install-serial: install-serial-stamp
install-serial-stamp:
	( cd $(SRC_TREE) && make install prefix=$(CURDIR)/debian/gtool5/usr/lib/gtool5 )
	touch $@
install-parallel: install-parallel-stamp
install-parallel-stamp:
	( cd $(SRC_TREE)-parallel && make install prefix=$(CURDIR)/debian/gtool5/usr/lib/gtool5-mpi )
	touch $@

install/gtool5-doc:: install-gtool5-doc-stamp
install-gtool5-doc-stamp:
	touch $@

clean::
	rm -rf $(SRC_TREE)-parallel
	rm -f debian/*.links
	rm -f debian/*.postinst
	rm -f debian/*.prerm
	rm -f debian/*.dirs
	rm -f $(MANPAGES)
	rm -f $(CURDIR)/upstream/*.cdbs-config_list

## gtool5 20140131

=== src/gtool/gtool_history_nmlinfo/Makefile ===
#= Makefile for build of gtool5 library in UNIX like platform
#
# Authors::   Yasuhiro MORIKAWA (morikawa)
# Version::   $Id: Makefile,v 1.1 2009-05-11 15:15:15 morikawa Exp $
# Tag Name::  $Name: gtool5-20101228-1 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2009. All rights reserved.
# License::   See COPYRIGHT[link:../../../COPYRIGHT]
#
######################################################################
#
#== Settings

# in Config.mk, DEST_LIB, DEST_INC is defined
DIRDEPTH=../../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

OBJS =  \
	gtool_history_nmlinfo_types.o gtool_history_nmlinfo_internal.o \
	gtool_history_nmlinfo_generic.o \
	gtool_history_nmlinfo.o \
	hstnmlinfocreate.o hstnmlinfoclose.o hstnmlinfoputline.o \
	hstnmlinfoinitialized.o hstnmlinfodefinemode.o \
	hstnmlinfoenddefine.o hstnmlinforedefine.o \
	hstnmlinfoadd.o hstnmlinfodelete.o \
	hstnmlinforesetdefault.o hstnmlinfoinquire.o \
	hstnmlinfoassocgthist.o hstnmlinfooutputstepdisable.o \
	hstnmlinfooutputstep.o hstnmlinfooutputvalid.o \
	hstnmlinfonames.o hstnmlinfogetnames.o hstnmlinfoallvarinicheck.o \
	hstnmlinfosetvalidname.o hstnmlinfoallnamevalid.o

# End Settings
######################################################################

######################################################################
#== Rules
#
all: $(LIBPATH) archive

include $(DIRDEPTH)/rules.make

clean: depend.touch clean.default
rb2f90: rb2f90.default
clean.rb2f90: depend.touch clean.rb2f90.default
depend.subdir: depend
clean.depend: clean.depend.default
Makefile.win: Makefile.win.default
clean.mkwin: clean.mkwin.default

include depend

=== debian/changelog ===
gtool5 (20140131-4~1.gbp5d951b) unstable; urgency=medium

  ** SNAPSHOT build @5d951b9457791403f256caef37d32c9d41b5a849 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Fri, 25 Sep 2015 11:02:45 +0900

gtool5 (20140131-4) unstable; urgency=medium

  * Fix link: gt5frt.mpi, gt5config.mpi

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 24 Sep 2015 16:21:56 +0900

gtool5 (20140131-3) unstable; urgency=medium

  * Fix install location

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 24 Sep 2015 10:00:59 +0900

gtool5 (20140131-2) unstable; urgency=medium

  * Update rules: Follow NetCDF package update

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 27 Aug 2015 19:43:07 +0900

gtool5 (20140131-1) unstable; urgency=medium

  * Change source format: 3.0 (quilt)
  * Update copyright format: 1.0
  * Bump Standard Version: 3.9.5
  * Enable hardening
  * Enable Multiarch Support
  * Drop old alternatives
  * Depends mpi-default-dev instead of openmpi

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 03 Feb 2014 03:01:54 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
FFLAGS += -fPIC -frecursive
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ifneq (,$(findstring sid,$(shell grep PRETTY_NAME /etc/os-release)))
  NETCDF_LIB=/usr/lib/$(DEB_HOST_MULTIARCH)/libnetcdf.so
  NETCDFF_LIB=/usr/lib/$(DEB_HOST_MULTIARCH)/libnetcdff.so
  NETCDF_INC=$(shell nf-config --includedir)/netcdf.h
  SYSFFLAGS=$(shell nc-config --cflags) $(shell nf-config --fflags)
  SYSLDLIBS=$(shell nf-config --libs) $(shell nc-config --libs)
else
  NETCDF_LIB=/usr/lib/libnetcdf.a
  NETCDFF_LIB=/usr/lib/libnetcdff.a
  NETCDF_INC=$(shell nf-config --includedir)/netcdf.h
  SYSFFLAGS=$(shell nc-config --fflags)
  SYSLDLIBS=$(shell nc-config --flibs)
endif

%:
	dh $@ --with autotools-dev

override_dh_auto_configure override_dh_auto_test:

override_dh_auto_build:
	ruby -Ke /usr/bin/rd2 \
	  -r rd/rd2html-lib \
	  --with-part=EN:rd CREDITS \
	  | LANG=C w3m -T text/html -dump > debian/CREDITS
	ruby -Ke /usr/bin/rd2 \
	  -r rd/rd2html-lib \
	  --with-part=EN:rd CREDITS \
	  | LANG=C w3m -T text/html -dump > debian/HISTORY
	( cd $(CURDIR)/debian/ && \
	  rd2 -r rd/rd2man-lib \
	    gt5frt.rd > gt5frt.1 && \
	  rd2 -r rd/rd2man-lib \
	    gt5config.rd > gt5config.1 )

override_dh_auto_install:
	FC=gfortran SYSFFLAGS="$(shell nc-config --fflags) -fPIC" RUBY="ruby -Ke" \
	   ./configure \
	   --prefix=/usr/lib/$(DEB_HOST_MULTIARCH)/gtool5 \
	   --with-netcdff=$(NETCDFF_LIB) \
	   --with-netcdf=$(NETCDF_LIB) \
	   --with-netcdf-include=$(NETCDF_INC)
	$(MAKE)
	$(MAKE) test
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) distclean
	FC=mpif90 SYSFFLAGS="$(shell nc-config --fflags) -fPIC" RUBY="ruby -Ke" \
	   ./configure \
	   --prefix=/usr/lib/$(DEB_HOST_MULTIARCH)/gtool5-mpi \
	   --with-netcdff=$(NETCDFF_LIB) \
	   --with-netcdf=$(NETCDF_LIB) \
	   --with-netcdf-include=$(NETCDF_INC)
	   --with-mpiexec=mpirun
	$(MAKE)
	$(MAKE) test
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install --sourcedir=debian/tmp
	mkdir -p $(CURDIR)/debian/gtool5/usr/bin
	(cd $(CURDIR)/debian/gtool5/usr/bin && \
	  ln -s ../lib/$(DEB_HOST_MULTIARCH)/gtool5/bin/gt5frt gt5frt && \
	  ln -s ../lib/$(DEB_HOST_MULTIARCH)/gtool5/bin/gt5config gt5config && \
	  ln -s ../lib/$(DEB_HOST_MULTIARCH)/gtool5-mpi/bin/gt5frt gt5frt.mpi && \
	  ln -s ../lib/$(DEB_HOST_MULTIARCH)/gtool5-mpi/bin/gt5config gt5config.mpi )



override_dh_auto_clean:
	@[ ! -f $(CURDIR)/Config.mk ] || $(MAKE) distclean
	@find $(CRUDIR) -name depend | xargs rm -f
	@rm -f $(CURDIR)/debian/CREDITS $(CURDIR)/debian/HISTORY
	@rm -f $(CURDIR)/debian/*.1
	@rm -f $(CURDIR)/*.cfg $(CURDIR)/*.log
	dh_clean

override_dh_installdocs:
	dh_installdocs
	find $(CURDIR)/debian/gtool5-doc -name Makefile\* | xargs rm -f
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/SRC_LIST.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_history/gtool_history_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_history/gtool_history_types_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_historyauto/gtool_historyauto_generic_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/netcdf/netcdf_f77_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dcunits_com_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/classes/dc_calendar.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool5_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_units_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_historyauto/gtool_historyauto_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtdata/gtdata_generic_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_url_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_calendar_internal_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_date_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_history_nmlinfo/gtool_history_nmlinfo_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_history_nmlinfo/gtool_history_nmlinfo_types_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/classes/dc_date.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_scaledsec_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/classes/gtool5.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_types_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_calendar_generic_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_history_nmlinfo/gtool_history_nmlinfo_internal_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/classes/dc_utils.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_history_nmlinfo/gtool_history_nmlinfo_generic_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_calendar_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/netcdf/netcdf_f77_win_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtdata/gtdata_types_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_date_internal_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtdata/gtdata_internal_map_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_clock_F90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_message_F90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gt4f90io_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_regex_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_calendar_types_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_history/gtool_history_internal_F90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_hash_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_date_types_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_present_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/classes/gt4f90io.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_iounit_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_date_generic_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_string_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_historyauto/gtool_historyauto_internal_f90.html
